#property copyright ""

#property indicator_buffers 1
#property indicator_separate_window

//#property indicator_minimum 0
//#property indicator_maximum 100

//#property indicator_level1 20
//#property indicator_level2 80

#property indicator_color1 Lime

//---- input parameters
extern int Fi=13;
//---- buffers
double ExtDMFiBuffer[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   string sShortName;
//----
   SetIndexBuffer(0,ExtDMFiBuffer);
//---- indicator line
   SetIndexStyle(0,DRAW_LINE);
//---- name for DataWindow and indicator subwindow label
   sShortName="DeMark-F("+Fi+")";
   IndicatorShortName(sShortName);
   SetIndexLabel(0,sShortName);
//---- first values aren't drawn
   SetIndexDrawBegin(0,Fi);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    i,j,nCountedBars;
   double V,X,Y,Z;
//----insufficient data
   if(Bars<=Fi) return(0);
//---- bars count that does not changed after last indicator launch.
   nCountedBars=IndicatorCounted();
//----
   i=Bars-Fi-1;
   if(nCountedBars>Fi) 
      i=Bars-nCountedBars-1;
   while(i>=0)
     {
      V=0;
      if ((High[i]-Low[i])>0)
         V=(Close[i]-Open[i])/(High[i]-Low[i]);
      if(V>0)
         X+=V*Volume[i];
      else
         Y+=V*Volume[i];
   
   
   
//      Alert("V=",V,"    X=",X,"     Y=",Y,"     i=",i);
      if (MathAbs(Y)>0)
         ExtDMFiBuffer[i]=100.0-100.0/(1.0+MathAbs(X/Y));
       i--;    
     }
   return(0);
  }
//+------------------------------------------------------------------+